## libosmocore 0.9.0

=== debian/changelog ===
libosmocore (0.9.0-4) unstable; urgency=medium

  * debian/control:
    - Changed Vcs-Git to use https
    - Updated standards to 3.9.7
    - Run "cme fix dpkg-control"
  * debian/rules:
    - Explicitly remove "-Wl,-Bsymbolic-functions" from LDFLAGS to prevent
      build problems on some Debian derivatives.
  * Added:
      d/patches/0005-Set-HTML_TIMESTAMP-to-NO-to-make-build-reproducible.patch

 -- Ruben Undheim <ruben.undheim@gmail.com>  Wed, 10 Feb 2016 20:24:50 +0100

libosmocore (0.9.0-3) unstable; urgency=medium

  * Uploaded to unstable
  * Fixes big-endian bug (Closes: #807137)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Wed, 09 Dec 2015 08:38:40 +0100

libosmocore (0.9.0-3~exp3) experimental; urgency=medium

  * debian/patches/0004-Patched-struct-for-big-endian-architectures.patch:
    - Third attempt at fixing the big-endian problem

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 08 Dec 2015 21:14:57 +0100

libosmocore (0.9.0-3~exp2) experimental; urgency=medium

  * debian/patches/0004-Patched-struct-for-big-endian-architectures.patch:
    - Another attempt at fixing the big-endian problem

 -- Ruben Undheim <ruben.undheim@gmail.com>  Mon, 07 Dec 2015 22:10:03 +0100

libosmocore (0.9.0-3~exp1) experimental; urgency=medium

  * Fix for struct on big-endian architectures:
    - debian/patches/0004-Patched-struct-for-big-endian-architectures.patch

 -- Ruben Undheim <ruben.undheim@gmail.com>  Mon, 07 Dec 2015 19:53:53 +0100

libosmocore (0.9.0-2) unstable; urgency=medium

  * debian/control
    - Fixed dependency of libosmovty-doc
  * Added patch debian/patches/0003-Setting-library-version-explicitly.patch
    - Makes sure the correct version is listed in the .pc files.

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 06 Dec 2015 14:54:37 +0100

libosmocore (0.9.0-1) unstable; urgency=medium

  * New upstream release
    - New SONAME of libosmovty (3)
  * debian/rules:
    - Fixed reproducibility (Closes: #806551)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 29 Nov 2015 13:53:16 +0100

libosmocore (0.8.3-1) unstable; urgency=low

  * Initial release (Closes: 646276)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Wed, 14 Oct 2015 14:27:21 +0200
