=== debian/watch ===
version=3
https://github.com/osmocom/libosmocore/releases /osmocom/libosmocore/archive/(\d\S+)\.tar\.(?:bz2|gz|xz)
