## libosmocore 0.10.2

=== debian/changelog ===
libosmocore (0.10.2-6) unstable; urgency=medium

  * add dependency of libtalloc-dev to libsomocore-dev (Closes: #895178)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 08 Apr 2018 12:05:14 +0100

libosmocore (0.10.2-5) unstable; urgency=medium

  * add path-max.patch
  * debian/rules: fix typo for s390x
  * debian/rules: add sparc64 to no-test
  * endian bug was already fixed in 0.10.2-4 (Closes: #895118)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 07 Apr 2018 19:07:14 +0100

libosmocore (0.10.2-4) unstable; urgency=medium

  * debian/rules: deactivate testsuite for big endian architecture
                  s390x and mips from supported archs
                  lib has problem with one endian related test (gsm0808)
  * add libosmocoding to libosmocore9 (Closes: #891345)
  * add big-endian-problem.patch

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 07 Apr 2018 11:07:14 +0100

libosmocore (0.10.2-3) unstable; urgency=medium

  * move to unstable
  * debian/control: add salsa URLs
  * debian/control: use dh11
  * debian/control: bump standard to 4.1.4 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 05 Apr 2018 19:17:14 +0100

libosmocore (0.10.2-2) experimental; urgency=medium

  * adapt 0003-Setting-library-version-explicitly.patch to
    this version

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 03 Dec 2017 16:54:26 +0100

libosmocore (0.10.2-1) experimental; urgency=medium

  * New upstream release
  * debian/control: change dependency to python (for argparse)
  * debian/control: use dh10
  * debian/control: bump standard to 4.1.1
  * debian/control: remove dependencies on autotools-dev, dh-autoreconf
  * debian/control: remove useless dbg package
  * debian/*.symbols: update symbols files
  * debian/copyright: update

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 16 Nov 2017 18:54:26 +0100

libosmocore (0.9.6-1) experimental; urgency=medium

  * new upstream version
  * debian/control: add myself to uploaders
  * debian/control: move package to debian-mobcom and change URLs
  * debian/control: change maintainer to debian-mobcom-maintainers
  * refresh symbol files
  * use system wide libtalloc instead of internal copy
  * add python-minimal dependency

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 08 Mar 2017 19:52:59 +0100

libosmocore (0.9.0-6) unstable; urgency=medium

  * Disable unreliable tests (Closes: #842677)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Wed, 02 Nov 2016 22:52:59 +0100

libosmocore (0.9.0-5) unstable; urgency=medium

  * debian/patches/0004-Patched-struct-for-big-endian-architectures.patch:
    - Fixed even more structs for big-endian architectures which will
      cause #818566 to be fixed with a binNMU on openbsc.
  * debian/control:
    - New standards version: 3.9.8 - no changes

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 10 May 2016 22:42:43 +0200
