=== debian/control ===
--- 
+++ 
@@ -1,28 +1,29 @@
 Source: libosmocore
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
 Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
+	, Thorsten Alteholz <debian@alteholz.de>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               autotools-dev,
-               dh-autoreconf,
-               doxygen,
-               txt2man,
-               libpcsclite-dev,
-               pkg-config
-Standards-Version: 3.9.7
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/libosmocore.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/libosmocore.git
+Build-Depends: debhelper (>= 11)
+	, doxygen
+	, txt2man
+	, libpcsclite-dev
+	, pkg-config
+	, libtalloc-dev
+	, python
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/debian-mobcom-team/libosmocore.git
+Vcs-Git: https://salsa.debian.org/debian-mobcom-team/libosmocore.git
 Homepage: http://bb.osmocom.org/trac/wiki/libosmocore
 
 Package: libosmocore
 Architecture: any
 Multi-Arch: same
 Depends: libosmocodec0 (= ${binary:Version}),
-         libosmocore6 (= ${binary:Version}),
-         libosmogb4 (= ${binary:Version}),
-         libosmogsm5 (= ${binary:Version}),
-         libosmovty3 (= ${binary:Version}),
+         libosmocore9 (= ${binary:Version}),
+         libosmogb5 (= ${binary:Version}),
+         libosmogsm8 (= ${binary:Version}),
+         libosmovty4 (= ${binary:Version}),
          libosmoctrl0 (= ${binary:Version}),
          libosmosim0 (= ${binary:Version}),
          ${misc:Depends}
@@ -69,7 +70,7 @@
  .
  This package contains the documentation for the libosmocodec library.
 
-Package: libosmocore6
+Package: libosmocore9
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -82,14 +83,14 @@
  (at least) other programs that are developed in the sphere of Free Software /
  Open Source mobile communication.
  .
- The libosmocore6 library in particular is a collection of common code used in
+ The libosmocore9 library in particular is a collection of common code used in
  various sub-projects inside the Osmocom family of projects.
 
 Package: libosmocore-doc
 Architecture: all
 Section: doc
 Depends: ${misc:Depends},
-         libosmocore6,
+         libosmocore9,
          libjs-jquery,
          libosmocodec-doc,
          libosmogsm-doc,
@@ -103,7 +104,7 @@
  .
  This package contains the documentation for the libosmocore library.
 
-Package: libosmogb4
+Package: libosmogb5
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -119,7 +120,7 @@
  The libosmogb library in particular contains a GPRS BSSGP protocol
  implementation.
 
-Package: libosmogsm5
+Package: libosmogsm8
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -142,7 +143,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends},
-         libosmogsm5,
+         libosmogsm8,
          libjs-jquery
 Description: Documentation for the Osmo GSM utility library
  This is part of the libosmocore "meta"-library. The libosmocore library
@@ -153,7 +154,7 @@
  .
  This package contains the documentation for the libosmogsm library.
 
-Package: libosmovty3
+Package: libosmovty4
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -173,7 +174,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends},
-         libosmovty3,
+         libosmovty4,
          libjs-jquery
 Description: Documentation for the Osmo VTY library
  This is part of the libosmocore "meta"-library. The libosmocore library
@@ -219,18 +220,19 @@
 Multi-Arch: same
 Section: libdevel
 Depends: libosmocodec0 (= ${binary:Version}),
-         libosmocore6 (= ${binary:Version}),
-         libosmogb4 (= ${binary:Version}),
-         libosmogsm5 (= ${binary:Version}),
-         libosmovty3 (= ${binary:Version}),
+         libosmocore9 (= ${binary:Version}),
+         libosmogb5 (= ${binary:Version}),
+         libosmogsm8 (= ${binary:Version}),
+         libosmovty4 (= ${binary:Version}),
          libosmoctrl0 (= ${binary:Version}),
          libosmosim0 (= ${binary:Version}),
+	 libtalloc-dev,
          ${misc:Depends}
 Description: Development headers for Open Source MObile COMmunications CORE library
  The header files provided by this package may be used to develop
  with any of the libosmocore libraries.
  .
- Also static libraries are installed with this package. 
+ Also static libraries are installed with this package.
 
 Package: libosmocore-utils
 Architecture: any
@@ -248,18 +250,18 @@
  other programs that are developed in the sphere of Free Software / Open Source
  mobile communication.
 
-Package: libosmocore-dbg
-Architecture: any
-Multi-Arch: same
-Section: debug
-Priority: extra
-Depends: libosmocore (= ${binary:Version}),
-         ${misc:Depends}
-Description: Debug symbols for Open Source MObile COMmunications CORE library
- This proackage contains debug symbols for all the libraries that are part of
- libosmocore.
- .
- The libosmocore library contain various utility functions that
- were originally developed as part of the OpenBSC project, but which are of a
- more generic nature and thus useful to (at least) other programs that are
- developed in the sphere of Free Software / Open Source mobile communication.
+#Package: libosmocore-dbg
+#Architecture: any
+#Multi-Arch: same
+#Section: debug
+#Priority: extra
+#Depends: libosmocore (= ${binary:Version}),
+#         ${misc:Depends}
+#Description: Debug symbols for Open Source MObile COMmunications CORE library
+# This proackage contains debug symbols for all the libraries that are part of
+# libosmocore.
+# .
+# The libosmocore library contain various utility functions that
+# were originally developed as part of the OpenBSC project, but which are of a
+# more generic nature and thus useful to (at least) other programs that are
+# developed in the sphere of Free Software / Open Source mobile communication.
