=== debian/rules ===
--- 
+++ 
@@ -10,14 +10,16 @@
 
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+arch = $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
 export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions
 
 %:
 	dh $@ --with autoreconf
 
-override_dh_strip:
-	dh_strip --dbg-package=libosmocore-dbg
+# 20171109, ta, not needed anymore
+#override_dh_strip:
+#	dh_strip --dbg-package=libosmocore-dbg
 
 override_dh_install:
 	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`
@@ -25,7 +27,18 @@
 
 # Print test results in case of a failure
 override_dh_auto_test:
-	dh_auto_test || (find . -name testsuite.log -exec cat {} \; ; false)
+	echo ${arch}
+	if [ "${arch}" = "s390x" ] || \
+	   [ "${arch}" = "hppa" ] || \
+	   [ "${arch}" = "powerpc" ] || \
+	   [ "${arch}" = "ppc64" ] || \
+	   [ "${arch}" = "sparc64" ] || \
+	   [ "${arch}" = "mips" ] ; then \
+	   echo "Do not care of test result on this architecture" ;\
+	else \
+	   echo "Do make tests on this architecture" ;\
+	   dh_auto_test || (find . -name testsuite.log -exec cat {} \; ; false) \
+	fi
 
 override_dh_installman:
 	cd debian/man ; CHANGELOG_DATE="$(CHANGELOG_DATE)" ./genmanpages.sh
