## libosmocore 0.12.1

=== debian/changelog ===
libosmocore (0.12.1-2) unstable; urgency=medium

  * debian/rules:
    - Enable test suite on big-endian architectures
  * Two new patches to fix test suite on big-endian architectures:
    - 0005-Structs-for-big-endian.patch
    - 0006-Fix-some-byte-ordering-for-big-endian-architectures.patch

 -- Ruben Undheim <ruben.undheim@gmail.com>  Wed, 14 Nov 2018 23:38:45 +0100

libosmocore (0.12.1-1) unstable; urgency=medium

  * Upload to unstable

 -- Ruben Undheim <ruben.undheim@gmail.com>  Mon, 05 Nov 2018 21:21:01 +0100

libosmocore (0.12.1-1~exp2) experimental; urgency=medium

  * debian/control:
    - New standards version 4.2.1 - no changes
    - Update Breaks+Replaces relation for libosmocoding to
      libosmocore9 (<< 0.10.2-7). This will allow libosmocore9 (sid) and
      libosmocoding0 (experimental) to be installed at the same time.
  * debian/changelog:
    - New changelog entry from unstable (0.10.2-7) inserted in the changelog
      (sorted by version)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 30 Sep 2018 12:35:59 +0200

libosmocore (0.12.1-1~exp1) experimental; urgency=medium

  * New upstream release
  * Drop patch debian/patches/0005-Fix-erronous-LIBVERSION-for-libosmovty.patch
    since fixed upstream

 -- Ruben Undheim <ruben.undheim@gmail.com>  Wed, 29 Aug 2018 19:32:29 +0200

libosmocore (0.12.0-1~exp1) experimental; urgency=medium

  * New upstream release
  * Refreshed patches
  * debian/changelog_upstream added
  * debian/control:
    - New standards version 4.2.0 - no changes
    - New binary package libosmoctrl-doc
    - libosmocore10 -> libosmocore11
    - libosmogsm9 -> libosmogsm10
  * debian/copyright:
    - Added copyright information for two new files
    - Updated copyright years for maintainers
  * debian/libosmoctrl-doc.doc-base added
  * debian/patches/0005-Fix-erronous-LIBVERSION-for-libosmovty.patch:
    - Fixing erroneous LIBVERSION set by upstream
  * debian/rules:
    - Delete more in override_dh_clean such that the build directory
      is properly cleaned up.
    - Override override_dh_installchangelogs such that the upstream
      changelog gets installed.
    - Use /usr/share/dpkg/pkg-info.mk instead of dpkg-parsechangelog

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 25 Aug 2018 14:06:35 +0200

libosmocore (0.11.0-2~exp2) experimental; urgency=medium

  * Add libosmocoding0 as a dependency for libosmocore-dev (Closes: #905043)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 02 Aug 2018 21:08:05 +0200

libosmocore (0.11.0-2~exp1) experimental; urgency=medium

  * debian/control:
    - Add Breaks+Replaces relation for libosmocoding0:
        libosmocore9 (<< 0.11.0-1) (Closes: #901216)
    - New standards version 4.1.5 - no changes

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 12 Jul 2018 08:54:27 +0200

libosmocore (0.11.0-1) experimental; urgency=medium

  * New upstream release
  * upload to experimental
  * debian/control: add new dependency of gnutls
  * debian/patches: add new spelling patch
  * soname bumps:
    * libosmogsm8 -> libosmogms9
    * libosmogb5   -> libosmogb6
    * libosmocore9 -> libosmocore10
  * new library: libosmocoding0 (Closes: #897278)
        debian/* files taken from upstream

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 14 May 2018 19:55:55 +0200

libosmocore (0.10.2-8) unstable; urgency=medium

  * debian/control:
    - Dependency on libosmocoding0 should not be tied to specific version.

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 30 Sep 2018 14:13:55 +0200

libosmocore (0.10.2-7) unstable; urgency=medium

  * Put libosmocoding0 into separate package such as in experimental
    - This should ease migration. libosmocore9 (sid) and libosmocoding0
      (experimental) can be installed at the same time.
  * Some trivial lintian fixes (whitespaces, Vcs URL etc.)
  * debian/rules:
    - Properly clean up in make target

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 30 Sep 2018 12:20:39 +0200
