=== debian/control ===
--- 
+++ 
@@ -11,8 +11,9 @@
 	, pkg-config
 	, libtalloc-dev
 	, python
-Standards-Version: 4.1.4
-Vcs-Browser: https://salsa.debian.org/debian-mobcom-team/libosmocore.git
+	, libgnutls28-dev
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/debian-mobcom-team/libosmocore
 Vcs-Git: https://salsa.debian.org/debian-mobcom-team/libosmocore.git
 Homepage: http://bb.osmocom.org/trac/wiki/libosmocore
 
@@ -20,9 +21,9 @@
 Architecture: any
 Multi-Arch: same
 Depends: libosmocodec0 (= ${binary:Version}),
-         libosmocore9 (= ${binary:Version}),
-         libosmogb5 (= ${binary:Version}),
-         libosmogsm8 (= ${binary:Version}),
+         libosmocore11 (= ${binary:Version}),
+         libosmogb6 (= ${binary:Version}),
+         libosmogsm10 (= ${binary:Version}),
          libosmovty4 (= ${binary:Version}),
          libosmoctrl0 (= ${binary:Version}),
          libosmosim0 (= ${binary:Version}),
@@ -70,7 +71,40 @@
  .
  This package contains the documentation for the libosmocodec library.
 
-Package: libosmocore9
+Package: libosmocoding0
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Replaces: libosmocore9 (<< 0.10.2-7)
+Breaks: libosmocore9 (<< 0.10.2-7)
+Description: Osmo coding library
+ This is part of the libosmocore "meta"-library. The libosmocore library
+ contains various utility functions that were originally developed as part of
+ the OpenBSC project, but which are of a more generic nature and thus useful to
+ (at least) other programs that are developed in the sphere of Free Software /
+ Open Source mobile communication.
+ .
+ The libosmocoding library in particular contains the implementation of
+ GSM, GPRS and EDGE transcoding routines, migrated from OsmoBTS.
+
+Package: libosmocoding-doc
+Architecture: all
+Section: doc
+Depends: ${misc:Depends},
+         libosmocoding0,
+         libjs-jquery
+Description: Documentation for the osmo coding library
+ This is part of the libosmocore "meta"-library. The libosmocore library
+ contains various utility functions that were originally developed as part of
+ the OpenBSC project, but which are of a more generic nature and thus useful to
+ (at least) other programs that are developed in the sphere of Free Software /
+ Open Source mobile communication.
+ .
+ This package contains the documentation for the libosmocoding library.
+
+Package: libosmocore11
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -83,14 +117,14 @@
  (at least) other programs that are developed in the sphere of Free Software /
  Open Source mobile communication.
  .
- The libosmocore9 library in particular is a collection of common code used in
+ The libosmocore11 library in particular is a collection of common code used in
  various sub-projects inside the Osmocom family of projects.
 
 Package: libosmocore-doc
 Architecture: all
 Section: doc
 Depends: ${misc:Depends},
-         libosmocore9,
+         libosmocore11,
          libjs-jquery,
          libosmocodec-doc,
          libosmogsm-doc,
@@ -104,7 +138,7 @@
  .
  This package contains the documentation for the libosmocore library.
 
-Package: libosmogb5
+Package: libosmogb6
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -120,7 +154,7 @@
  The libosmogb library in particular contains a GPRS BSSGP protocol
  implementation.
 
-Package: libosmogsm8
+Package: libosmogsm10
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -143,7 +177,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends},
-         libosmogsm8,
+         libosmogsm10,
          libjs-jquery
 Description: Documentation for the Osmo GSM utility library
  This is part of the libosmocore "meta"-library. The libosmocore library
@@ -200,6 +234,21 @@
  .
  The libosmoctrl library in particular contains an SNMP-like status interface.
 
+Package: libosmoctrl-doc
+Architecture: all
+Section: doc
+Depends: ${misc:Depends},
+         libosmoctrl0,
+         libjs-jquery
+Description: Documentation for the Osmocom CTRL library
+ This is part of the libosmocore "meta"-library. The libosmocore library
+ contains various utility functions that were originally developed as part of
+ the OpenBSC project, but which are of a more generic nature and thus useful to
+ (at least) other programs that are developed in the sphere of Free Software /
+ Open Source mobile communication.
+ .
+ This package contains the documentation for the libosmoctrl library.
+
 Package: libosmosim0
 Architecture: any
 Multi-Arch: same
@@ -220,13 +269,14 @@
 Multi-Arch: same
 Section: libdevel
 Depends: libosmocodec0 (= ${binary:Version}),
-         libosmocore9 (= ${binary:Version}),
-         libosmogb5 (= ${binary:Version}),
-         libosmogsm8 (= ${binary:Version}),
+         libosmocore11 (= ${binary:Version}),
+         libosmogb6 (= ${binary:Version}),
+         libosmogsm10 (= ${binary:Version}),
          libosmovty4 (= ${binary:Version}),
          libosmoctrl0 (= ${binary:Version}),
          libosmosim0 (= ${binary:Version}),
-	 libtalloc-dev,
+         libosmocoding0 (= ${binary:Version}),
+         libtalloc-dev,
          ${misc:Depends}
 Description: Development headers for Open Source MObile COMmunications CORE library
  The header files provided by this package may be used to develop
@@ -249,19 +299,3 @@
  project, but which are of a more generic nature and thus useful to (at least)
  other programs that are developed in the sphere of Free Software / Open Source
  mobile communication.
-
-#Package: libosmocore-dbg
-#Architecture: any
-#Multi-Arch: same
-#Section: debug
-#Priority: extra
-#Depends: libosmocore (= ${binary:Version}),
-#         ${misc:Depends}
-#Description: Debug symbols for Open Source MObile COMmunications CORE library
-# This proackage contains debug symbols for all the libraries that are part of
-# libosmocore.
-# .
-# The libosmocore library contain various utility functions that
-# were originally developed as part of the OpenBSC project, but which are of a
-# more generic nature and thus useful to (at least) other programs that are
-# developed in the sphere of Free Software / Open Source mobile communication.
