=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,9 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-DEBIAN  := $(shell dpkg-parsechangelog | grep ^Version: | cut -d' ' -f2)
-DEBVERS := $(shell echo '$(DEBIAN)' | cut -d- -f1)
-VERSION := $(shell echo '$(DEBVERS)' | sed -e 's/[+-].*//' -e 's/~//g')
-CHANGELOG_DATE := $(shell LC_ALL=C date -u -d "`dpkg-parsechangelog --show-field Date`" +"%d %B %Y")
+include /usr/share/dpkg/pkg-info.mk
+
+CHANGELOG_DATE ?= $(shell LC_ALL=C date -u -d @$(SOURCE_DATE_EPOCH) +"%d %B %Y")
 
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
@@ -27,18 +26,7 @@
 
 # Print test results in case of a failure
 override_dh_auto_test:
-	echo ${arch}
-	if [ "${arch}" = "s390x" ] || \
-	   [ "${arch}" = "hppa" ] || \
-	   [ "${arch}" = "powerpc" ] || \
-	   [ "${arch}" = "ppc64" ] || \
-	   [ "${arch}" = "sparc64" ] || \
-	   [ "${arch}" = "mips" ] ; then \
-	   echo "Do not care of test result on this architecture" ;\
-	else \
-	   echo "Do make tests on this architecture" ;\
-	   dh_auto_test || (find . -name testsuite.log -exec cat {} \; ; false) \
-	fi
+	dh_auto_test || (find . -name testsuite.log -exec cat {} \; ; false)
 
 override_dh_installman:
 	cd debian/man ; CHANGELOG_DATE="$(CHANGELOG_DATE)" ./genmanpages.sh
@@ -64,8 +52,12 @@
 	$(RM) tests/testsuite
 	$(RM) -r doc/codec/
 	$(RM) -r doc/core/
+	$(RM) -r doc/ctrl/
 	$(RM) -r doc/gsm/
 	$(RM) -r doc/vty/html/
 	$(RM) -r doc/vty/latex/
+	$(RM) utils/conv_codes_gsm.pyc
+	$(RM) utils/conv_gen.pyc
 
-
+override_dh_installchangelogs:
+	dh_installchangelogs debian/changelog_upstream
